Subject: [GIT PULL/NEXT] sched/arch: Introduce the finish_arch_post_lock_switch() scheduler callback

From: Ingo Molnar <[email-masked]>
Date: Tue, 13 Mar 2012 10:26:49 +0100

* Russell King <[email-masked]> wrote:

> On Tue, Mar 13, 2012 at 09:56:28AM +0100, Ingo Molnar wrote:
> > 
> > * Russell King <[email-masked]> wrote:
> > 
> > > Sorry, you're blaming the wrong person.  I got the commit via 
> > > a pull, not via a patch.
> > 
> > This is the most idiotic excuse I've ever read.
> 
> Sod this crap, I'm dropping Catalin's patches. [...]

As I said it in my first mail, doing that is unnecessary - but 
if you insist on being difficult then Catalin, feel free to pull 
the patch from tip:sched/arch:

   git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git sched/arch

   HEAD: 01f23e1630 sched/arch: Introduce the finish_arch_post_lock_switch() scheduler callback

it's v3.3-rc7 based so it will generate no conflict with 
linux-next. It only contains this commit so you can use it 
without pulling in other pending scheduler changes.

This is the trivial and easy Git based topic branch approach 
PeterZ asked Russell a month ago to consider:

   http://lkml.org/lkml/2012/2/16/232

which request Russell sadly ignored.

In any case, Catalin's ARM work is not blocked in any fashion.

Thanks,

	Ingo